質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.36%

railsのインストールでエラーが出ているみたいですが、解決策できません。

解決済

回答 3

投稿

  • 評価
  • クリップ 0
  • VIEW 5,341
退会済みユーザー

退会済みユーザー

gem install rails コマンドを実行すると、下記の様なエラーみたいなものが出るのですが、解決方法がいまいちわかりません。
nokogiriをインストールしようとしてもできませんでした。
どなたか解決策を教えたいただけないでしょうか?

extconf failed, exit code 1

Gem files will remain installed in /usr/local/lib/ruby/gems/2.3.0/gems/nokogiri-1.6.7.2 for inspection.
Results logged to /usr/local/lib/ruby/gems/2.3.0/extensions/x86_64-darwin-14/2.3.0/nokogiri-1.6.7.2/gem_make.out
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 3

checkベストアンサー

+1

メッセージからMacだという前提でお話しします。nokogiriをコンパイルする前段階で失敗しているようです。詳しいことはメッセージログ等の詳細が無いとわかりません。下記を確認、お答えください。

  1. Macのバージョンはいくつですか?(PureDarwinなどのMacではないDarwinをお使いの場合は、その旨もお伝えください。)
  2. Rubyはどのようにして入れましたか?
  3. gem install nokogiriとして、nokogiriだけを入れようとした場合も同じですか?エラーになる場合は、そのときの全てのメッセージを省略せずに貼り付けてください。
  4. /usr/local/lib/ruby/gems/2.3.0/extensions/x86_64-darwin-14/2.3.0/nokogiri-1.6.7.2/gem_make.outの中身はどうなってますか?中身を省略せずに貼り付けてください。
  5. Xcodeは最新ですか?古い場合は、AppStoreで最新にしても現象はかわりませんか?
  6. XcodeのCommand Line Toolsは正しく入ってますか?xcode-select -pgcc -vの実行結果を教えてください。

頂いたメッセージから推測するに、/usr/local以下のアクセス権がおかしくなっている可能性があります。brewでRubyをいれたあとgem installをsudo付きで実行し待った記憶はありませんでしょうか?またはbrewをsudo付きでで実行したりしてませんでしょうか?もししてしまったら、rootしか書き込めないようなファイルができてしまい、書き込みができなくなっていると思われます。

システムのRubyにパッケージを入れる場合を除き、基本的にsudoをつけてはいけません。次のことを試して、正常にした後に、もう一度gem insntall nokogiriを試してください。

  1. brew updateしてからbrew doctorをしてHomebrewでおかしくなっている部分が無いかを確認します。警告等が表示された場合は、メッセージに従います。
  2. sudo chown -R 自分のユーザ名 /usr/localで/usr/localの所有権を自分のユーザアカウントにします。(何をする物がよくわかってから実行してください)

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/04/21 13:57 編集

    上記の項目を確認してみた結果が下記になります。
    ご迷惑をおかけしますが、よろしくお願い致します。



    1. Yosemite ver.10.10.4
    2.brew install ruby





    3.
    ERROR: While executing gem ... (Errno::EACCES)
    Permission denied @ rb_sysopen - /usr/local/lib/ruby/gems/2.3.0/gems/nokogiri-1.6.7.2/.autotest


    4.
    current directory: /usr/local/lib/ruby/gems/2.3.0/gems/nokogiri-1.6.7.2/ext/nokogiri
    /usr/local/opt/ruby/bin/ruby -r ./siteconf20160420-65091-11qpcmu.rb extconf.rb
    checking if the C compiler accepts ... yes
    checking if the C compiler accepts -Wno-error=unused-command-line-argument-hard-error-in-future... no
    Building nokogiri using packaged libraries.
    Using mini_portile version 2.0.0
    checking for iconv.h... yes
    checking for gzdopen() in -lz... yes
    checking for iconv using --with-opt-* flags... yes
    ************************************************************************
    IMPORTANT NOTICE:

    Building Nokogiri with a packaged version of libxml2-2.9.2
    with the following patches applied:
    - 0001-Revert-Missing-initialization-for-the-catalog-module.patch
    - 0002-Fix-missing-entities-after-CVE-2014-3660-fix.patch
    - 0003-Stop-parsing-on-entities-boundaries-errors.patch
    - 0004-Cleanup-conditional-section-error-handling.patch
    - 0005-CVE-2015-1819-Enforce-the-reader-to-run-in-constant-.patch
    - 0006-Another-variation-of-overflow-in-Conditional-section.patch
    - 0007-Fix-an-error-in-previous-Conditional-section-patch.patch
    - 0008-CVE-2015-8035-Fix-XZ-compression-support-loop.patch
    - 0009-Updated-config.guess.patch
    - 0010-Fix-parsering-short-unclosed-comment-uninitialized-access.patch
    - 0011-Avoid-extra-processing-of-MarkupDecl-when-EOF.patch
    - 0012-Avoid-processing-entities-after-encoding-conversion-.patch
    - 0013-CVE-2015-7497-Avoid-an-heap-buffer-overflow-in-xmlDi.patch
    - 0014-CVE-2015-5312-Another-entity-expansion-issue.patch
    - 0015-Add-xmlHaltParser-to-stop-the-parser.patch



    5.xcodeは最新です

    6.
    xcode-select -pの結果
    /Applications/Xcode.app/Contents/Developer

    gcc -vの結果
    Configured with: --prefix=/Applications/Xcode.app/Contents/Developer/usr --with-gxx-include-dir=/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.11.sdk/usr/include/c++/4.2.1
    Apple LLVM version 7.0.0 (clang-700.0.72)
    Target: x86_64-apple-darwin14.4.0
    Thread model: posix

    キャンセル

  • 2016/04/22 06:57

    回答に追記してます。ご確認ください。

    キャンセル

  • 2016/04/24 17:11

    brew doctor の警告を消していったところ、railsをインストールすることができ、プロジェクトも作ることができました。

    詳しく教えて頂きまして、本当にありがとうございました。

    キャンセル

0

nogokiri のインストールができていないようです。
gem install が通るようになったら、 bundle install したあとは rails を起動できると思います。

nokogiri のインストールは以下を参考にしてみてください。
http://takuya-1st.hatenablog.jp/entry/2015/12/07/120638

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/04/20 21:19

    同じ様にやってもnokogiriのインストールで毎回同じ結果になってしまいました。

    キャンセル

0

私も以前Railsではないですが他のGemをインストールする際にnokogiriのインストールが出来なくてはまったことがあります。
環境はWindowsでしたが、nokogiriを最初にインストールしてから目的のGemをインストールしました。

nokogiriのインストールには以下のコマンドを実行しています。

bundle config build.nokogiri --use-system-libraries

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/04/24 17:11

    ありがとうございます。
    解決いたしました。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.36%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る